function hide( btn, id )
{
    btn.src = 'resources/images/more.gif'
    btn.onclick = function() { show( this, id ) };
    document.getElementById( id ).style.display = "none";
}

function show( btn, id )
{
    btn.src = 'resources/images/less.gif'
    btn.onclick = function() { hide( this, id ) };
    document.getElementById( id ).style.display = "";
}

function sort( domain, index )
{
    var table = document.getElementById(domain + "_table");
    var rows = new Array();
    var len = table.rows.length;
    for ( var i = len - 1; i > 0; i-- )
    {
        var element = table.rows[i];
        rows[i - 1] = element;
        element.parentNode.removeChild(element);
    }
    rows.sort( function( a, b ) {
        var aa = a.cells[ index ].innerHTML;
        var bb = b.cells[ index ].innerHTML;
        if ( aa == bb )
        {
            // If equals, order by monitor name (col 0)
            var a_name = a.cells[ 0 ].innerHTML;
            var b_name = b.cells[ 0 ].innerHTML;
            if ( a_name < b_name ) { return -1; }
            return 1;
        }
        if ( aa < bb ) { return -1; }
        return 1;
    } );
    var tbody = table.getElementsByTagName("TBODY")[0];
    for ( var i = 1; i < len; i++ )
    {
        var row = rows[i - 1];
        row.className = ( i % 2 == 1 ? "odd" : "even" );
        tbody.appendChild( row );
    }
    len = table.rows[0].cells.length;
    for ( var i = 0; i < len; i++ )
    {
        table.rows[0].cells[ i ].className = "";
    }
    table.rows[0].cells[ index ].className = "sorted";
}

function configure( domain )
{
	alert('Not implemented...');
}

function ajaxUpdate( id, url, parameters )
{
    var xmlhttp;
	try {
        xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
    } catch (e) {
		try {
    	  	xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
	    } catch (e) {
	        xmlhttp =  new XMLHttpRequest();
	    }
    }
    if ( parameters )
    {
    	url += "?";
        var len = parameters.length;
    	for ( var i = 0; i < len; i++ )
    	{
    		if ( i > 0 )
    		{
    			url += "&";
    		}
    	    url += parameters[i][0] + "=" + encodeURIComponent( parameters[i][1] );
    	}
    }
    xmlhttp.open( "GET", url, true );
    xmlhttp.send( null );
    xmlhttp.onreadystatechange = function()
    {
        if ( xmlhttp.readyState == 4 )
        {
            document.getElementById( id ).innerHtml = xmlhttp.responseText;
        }
    }
}